--- libpostproc/postprocess.c
+++ libpostproc/postprocess.c
@@ -120,14 +120,14 @@
 #endif
 
 #if defined(ARCH_X86) || defined(ARCH_X86_64)
-static uint64_t __attribute__((aligned(8))) attribute_used w05= 0x0005000500050005LL;
-static uint64_t __attribute__((aligned(8))) attribute_used w04= 0x0004000400040004LL;
-static uint64_t __attribute__((aligned(8))) attribute_used w20= 0x0020002000200020LL;
-static uint64_t __attribute__((aligned(8))) attribute_used b00= 0x0000000000000000LL;
-static uint64_t __attribute__((aligned(8))) attribute_used b01= 0x0101010101010101LL;
-static uint64_t __attribute__((aligned(8))) attribute_used b02= 0x0202020202020202LL;
-static uint64_t __attribute__((aligned(8))) attribute_used b08= 0x0808080808080808LL;
-static uint64_t __attribute__((aligned(8))) attribute_used b80= 0x8080808080808080LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used w05= 0x0005000500050005LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used w04= 0x0004000400040004LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used w20= 0x0020002000200020LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used b00= 0x0000000000000000LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used b01= 0x0101010101010101LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used b02= 0x0202020202020202LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used b08= 0x0808080808080808LL;
+static uint64_t __attribute__((aligned(8),used)) attribute_used b80= 0x8080808080808080LL;
 #endif
 
 static uint8_t clip_table[3*256];
--- libvo/osd.c
+++ libvo/osd.c
@@ -17,9 +17,9 @@
 #endif
 
 #ifdef CAN_COMPILE_X86_ASM
-static const uint64_t bFF attribute_used __attribute__((aligned(8))) = 0xFFFFFFFFFFFFFFFFULL;
-static const unsigned long long mask24lh  __attribute__((aligned(8))) = 0xFFFF000000000000ULL;
-static const unsigned long long mask24hl  __attribute__((aligned(8))) = 0x0000FFFFFFFFFFFFULL;
+static const uint64_t bFF attribute_used __attribute__((aligned(8),used)) = 0xFFFFFFFFFFFFFFFFULL;
+static const unsigned long long mask24lh  __attribute__((aligned(8),used)) = 0xFFFF000000000000ULL;
+static const unsigned long long mask24hl  __attribute__((aligned(8),used)) = 0x0000FFFFFFFFFFFFULL;
 #endif
 
 //Note: we have C, X86-nommx, MMX, MMX2, 3DNOW version therse no 3DNOW+MMX2 one
--- mp3lib/dct64_3dnow.c
+++ mp3lib/dct64_3dnow.c
@@ -12,7 +12,7 @@
 #include "config.h"
 #include "mangle.h"
 
-static unsigned long long int attribute_used __attribute__((aligned(8))) x_plus_minus_3dnow = 0x8000000000000000ULL;
+static unsigned long long int attribute_used __attribute__((aligned(8),used)) x_plus_minus_3dnow = 0x8000000000000000ULL;
 static float attribute_used plus_1f = 1.0;
 
 void dct64_MMX_3dnow(real *a,real *b,real *c)
--- mp3lib/dct64_k7.c
+++ mp3lib/dct64_k7.c
@@ -12,7 +12,7 @@
 #include "config.h"
 #include "mangle.h"
 
-static unsigned long long int attribute_used __attribute__((aligned(8))) x_plus_minus_3dnow = 0x8000000000000000ULL;
+static unsigned long long int attribute_used __attribute__((aligned(8),used)) x_plus_minus_3dnow = 0x8000000000000000ULL;
 static float attribute_used plus_1f = 1.0;
 
 void dct64_MMX_3dnowex(real *a,real *b,real *c)
#--- mp3lib/decode_MMX.c
#+++ mp3lib/decode_MMX.c
#@@ -11,9 +11,9 @@
# #include "mangle.h"
# #define real float /* ugly - but only way */
# 
#-static unsigned long long attribute_used __attribute__((aligned(8))) null_one = 0x0000ffff0000ffffULL;
#-static unsigned long long attribute_used __attribute__((aligned(8))) one_null = 0xffff0000ffff0000ULL;
#-unsigned long __attribute__((aligned(8))) costab_mmx[] =
#+static unsigned long long attribute_used __attribute__((aligned(8),used)) null_one = 0x0000ffff0000ffffULL;
#+static unsigned long long attribute_used __attribute__((aligned(8),used)) one_null = 0xffff0000ffff0000ULL;
#+unsigned long __attribute__((aligned(8),used)) costab_mmx[] =
# {
# 	1056974725,
# 	1057056395,
--- libswscale/rgb2rgb.c
+++ libswscale/rgb2rgb.c
@@ -72,64 +72,64 @@
 			long srcStride3, long dstStride);
 
 #if defined(ARCH_X86) || defined(ARCH_X86_64)
-static const uint64_t mmx_null  __attribute__((aligned(8))) = 0x0000000000000000ULL;
-static const uint64_t mmx_one   __attribute__((aligned(8))) = 0xFFFFFFFFFFFFFFFFULL;
-static const uint64_t mask32b  attribute_used __attribute__((aligned(8))) = 0x000000FF000000FFULL;
-static const uint64_t mask32g  attribute_used __attribute__((aligned(8))) = 0x0000FF000000FF00ULL;
-static const uint64_t mask32r  attribute_used __attribute__((aligned(8))) = 0x00FF000000FF0000ULL;
-static const uint64_t mask32   __attribute__((aligned(8))) = 0x00FFFFFF00FFFFFFULL;
-static const uint64_t mask3216br __attribute__((aligned(8)))=0x00F800F800F800F8ULL;
-static const uint64_t mask3216g  __attribute__((aligned(8)))=0x0000FC000000FC00ULL;
-static const uint64_t mask3215g  __attribute__((aligned(8)))=0x0000F8000000F800ULL;
-static const uint64_t mul3216  __attribute__((aligned(8))) = 0x2000000420000004ULL;
-static const uint64_t mul3215  __attribute__((aligned(8))) = 0x2000000820000008ULL;
-static const uint64_t mask24b  attribute_used __attribute__((aligned(8))) = 0x00FF0000FF0000FFULL;
-static const uint64_t mask24g  attribute_used __attribute__((aligned(8))) = 0xFF0000FF0000FF00ULL;
-static const uint64_t mask24r  attribute_used __attribute__((aligned(8))) = 0x0000FF0000FF0000ULL;
-static const uint64_t mask24l  __attribute__((aligned(8))) = 0x0000000000FFFFFFULL;
-static const uint64_t mask24h  __attribute__((aligned(8))) = 0x0000FFFFFF000000ULL;
-static const uint64_t mask24hh  __attribute__((aligned(8))) = 0xffff000000000000ULL;
-static const uint64_t mask24hhh  __attribute__((aligned(8))) = 0xffffffff00000000ULL;
-static const uint64_t mask24hhhh  __attribute__((aligned(8))) = 0xffffffffffff0000ULL;
-static const uint64_t mask15b  __attribute__((aligned(8))) = 0x001F001F001F001FULL; /* 00000000 00011111  xxB */
-static const uint64_t mask15rg __attribute__((aligned(8))) = 0x7FE07FE07FE07FE0ULL; /* 01111111 11100000  RGx */
-static const uint64_t mask15s  __attribute__((aligned(8))) = 0xFFE0FFE0FFE0FFE0ULL;
-static const uint64_t mask15g  __attribute__((aligned(8))) = 0x03E003E003E003E0ULL;
-static const uint64_t mask15r  __attribute__((aligned(8))) = 0x7C007C007C007C00ULL;
+static const uint64_t mmx_null  __attribute__((aligned(8),used)) = 0x0000000000000000ULL;
+static const uint64_t mmx_one   __attribute__((aligned(8),used)) = 0xFFFFFFFFFFFFFFFFULL;
+static const uint64_t mask32b  attribute_used __attribute__((aligned(8),used)) = 0x000000FF000000FFULL;
+static const uint64_t mask32g  attribute_used __attribute__((aligned(8),used)) = 0x0000FF000000FF00ULL;
+static const uint64_t mask32r  attribute_used __attribute__((aligned(8),used)) = 0x00FF000000FF0000ULL;
+static const uint64_t mask32   __attribute__((aligned(8),used)) = 0x00FFFFFF00FFFFFFULL;
+static const uint64_t mask3216br __attribute__((aligned(8),used))=0x00F800F800F800F8ULL;
+static const uint64_t mask3216g  __attribute__((aligned(8),used))=0x0000FC000000FC00ULL;
+static const uint64_t mask3215g  __attribute__((aligned(8),used))=0x0000F8000000F800ULL;
+static const uint64_t mul3216  __attribute__((aligned(8),used)) = 0x2000000420000004ULL;
+static const uint64_t mul3215  __attribute__((aligned(8),used)) = 0x2000000820000008ULL;
+static const uint64_t mask24b  attribute_used __attribute__((aligned(8),used)) = 0x00FF0000FF0000FFULL;
+static const uint64_t mask24g  attribute_used __attribute__((aligned(8),used)) = 0xFF0000FF0000FF00ULL;
+static const uint64_t mask24r  attribute_used __attribute__((aligned(8),used)) = 0x0000FF0000FF0000ULL;
+static const uint64_t mask24l  __attribute__((aligned(8),used)) = 0x0000000000FFFFFFULL;
+static const uint64_t mask24h  __attribute__((aligned(8),used)) = 0x0000FFFFFF000000ULL;
+static const uint64_t mask24hh  __attribute__((aligned(8),used)) = 0xffff000000000000ULL;
+static const uint64_t mask24hhh  __attribute__((aligned(8),used)) = 0xffffffff00000000ULL;
+static const uint64_t mask24hhhh  __attribute__((aligned(8),used)) = 0xffffffffffff0000ULL;
+static const uint64_t mask15b  __attribute__((aligned(8),used)) = 0x001F001F001F001FULL; /* 00000000 00011111  xxB */
+static const uint64_t mask15rg __attribute__((aligned(8),used)) = 0x7FE07FE07FE07FE0ULL; /* 01111111 11100000  RGx */
+static const uint64_t mask15s  __attribute__((aligned(8),used)) = 0xFFE0FFE0FFE0FFE0ULL;
+static const uint64_t mask15g  __attribute__((aligned(8),used)) = 0x03E003E003E003E0ULL;
+static const uint64_t mask15r  __attribute__((aligned(8),used)) = 0x7C007C007C007C00ULL;
 #define mask16b mask15b
-static const uint64_t mask16g  __attribute__((aligned(8))) = 0x07E007E007E007E0ULL;
-static const uint64_t mask16r  __attribute__((aligned(8))) = 0xF800F800F800F800ULL;
-static const uint64_t red_16mask  __attribute__((aligned(8))) = 0x0000f8000000f800ULL;
-static const uint64_t green_16mask __attribute__((aligned(8)))= 0x000007e0000007e0ULL;
-static const uint64_t blue_16mask __attribute__((aligned(8))) = 0x0000001f0000001fULL;
-static const uint64_t red_15mask  __attribute__((aligned(8))) = 0x00007c000000f800ULL;
-static const uint64_t green_15mask __attribute__((aligned(8)))= 0x000003e0000007e0ULL;
-static const uint64_t blue_15mask __attribute__((aligned(8))) = 0x0000001f0000001fULL;
+static const uint64_t mask16g  __attribute__((aligned(8),used)) = 0x07E007E007E007E0ULL;
+static const uint64_t mask16r  __attribute__((aligned(8),used)) = 0xF800F800F800F800ULL;
+static const uint64_t red_16mask  __attribute__((aligned(8),used)) = 0x0000f8000000f800ULL;
+static const uint64_t green_16mask __attribute__((aligned(8),used))= 0x000007e0000007e0ULL;
+static const uint64_t blue_16mask __attribute__((aligned(8),used)) = 0x0000001f0000001fULL;
+static const uint64_t red_15mask  __attribute__((aligned(8),used)) = 0x00007c000000f800ULL;
+static const uint64_t green_15mask __attribute__((aligned(8),used))= 0x000003e0000007e0ULL;
+static const uint64_t blue_15mask __attribute__((aligned(8),used)) = 0x0000001f0000001fULL;
 
 #ifdef FAST_BGR2YV12
-static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8))) = 0x000000210041000DULL;
-static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8))) = 0x0000FFEEFFDC0038ULL;
-static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8))) = 0x00000038FFD2FFF8ULL;
+static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8),used)) = 0x000000210041000DULL;
+static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8),used)) = 0x0000FFEEFFDC0038ULL;
+static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8),used)) = 0x00000038FFD2FFF8ULL;
 #else
-static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8))) = 0x000020E540830C8BULL;
-static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8))) = 0x0000ED0FDAC23831ULL;
-static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8))) = 0x00003831D0E6F6EAULL;
+static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8),used)) = 0x000020E540830C8BULL;
+static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8),used)) = 0x0000ED0FDAC23831ULL;
+static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8),used)) = 0x00003831D0E6F6EAULL;
 #endif
-static const uint64_t bgr2YOffset attribute_used __attribute__((aligned(8))) = 0x1010101010101010ULL;
-static const uint64_t bgr2UVOffset attribute_used __attribute__((aligned(8)))= 0x8080808080808080ULL;
-static const uint64_t w1111       attribute_used __attribute__((aligned(8))) = 0x0001000100010001ULL;
+static const uint64_t bgr2YOffset attribute_used __attribute__((aligned(8),used)) = 0x1010101010101010ULL;
+static const uint64_t bgr2UVOffset attribute_used __attribute__((aligned(8),used))= 0x8080808080808080ULL;
+static const uint64_t w1111       attribute_used __attribute__((aligned(8),used)) = 0x0001000100010001ULL;
 
 #if 0
-static volatile uint64_t __attribute__((aligned(8))) b5Dither;
-static volatile uint64_t __attribute__((aligned(8))) g5Dither;
-static volatile uint64_t __attribute__((aligned(8))) g6Dither;
-static volatile uint64_t __attribute__((aligned(8))) r5Dither;
+static volatile uint64_t __attribute__((aligned(8),used)) b5Dither;
+static volatile uint64_t __attribute__((aligned(8),used)) g5Dither;
+static volatile uint64_t __attribute__((aligned(8),used)) g6Dither;
+static volatile uint64_t __attribute__((aligned(8),used)) r5Dither;
 
-static uint64_t __attribute__((aligned(8))) dither4[2]={
+static uint64_t __attribute__((aligned(8),used)) dither4[2]={
 	0x0103010301030103LL,
 	0x0200020002000200LL,};
 
-static uint64_t __attribute__((aligned(8))) dither8[2]={
+static uint64_t __attribute__((aligned(8),used)) dither8[2]={
 	0x0602060206020602LL,
 	0x0004000400040004LL,};
 #endif
#--- libswscale/swscale.c
#+++ libswscale/swscale.c
#@@ -155,51 +155,51 @@
# #define MAX(a,b) ((a) < (b) ? (b) : (a))
# 
# #if defined(ARCH_X86) || defined(ARCH_X86_64)
#-static uint64_t attribute_used __attribute__((aligned(8))) bF8=       0xF8F8F8F8F8F8F8F8LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) bFC=       0xFCFCFCFCFCFCFCFCLL;
#-static uint64_t __attribute__((aligned(8))) w10=       0x0010001000100010LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) w02=       0x0002000200020002LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) bm00001111=0x00000000FFFFFFFFLL;
#-static uint64_t attribute_used __attribute__((aligned(8))) bm00000111=0x0000000000FFFFFFLL;
#-static uint64_t attribute_used __attribute__((aligned(8))) bm11111000=0xFFFFFFFFFF000000LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) bm01010101=0x00FF00FF00FF00FFLL;
#-
#-static volatile uint64_t attribute_used __attribute__((aligned(8))) b5Dither;
#-static volatile uint64_t attribute_used __attribute__((aligned(8))) g5Dither;
#-static volatile uint64_t attribute_used __attribute__((aligned(8))) g6Dither;
#-static volatile uint64_t attribute_used __attribute__((aligned(8))) r5Dither;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) bF8=       0xF8F8F8F8F8F8F8F8LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) bFC=       0xFCFCFCFCFCFCFCFCLL;
#+static uint64_t __attribute__((aligned(8),used)) w10=       0x0010001000100010LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) w02=       0x0002000200020002LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) bm00001111=0x00000000FFFFFFFFLL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) bm00000111=0x0000000000FFFFFFLL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) bm11111000=0xFFFFFFFFFF000000LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) bm01010101=0x00FF00FF00FF00FFLL;
#+
#+static volatile uint64_t attribute_used __attribute__((aligned(8),used)) b5Dither;
#+static volatile uint64_t attribute_used __attribute__((aligned(8),used)) g5Dither;
#+static volatile uint64_t attribute_used __attribute__((aligned(8),used)) g6Dither;
#+static volatile uint64_t attribute_used __attribute__((aligned(8),used)) r5Dither;
# 
#-static uint64_t __attribute__((aligned(8))) dither4[2]={
#+static uint64_t __attribute__((aligned(8),used)) dither4[2]={
# 	0x0103010301030103LL,
# 	0x0200020002000200LL,};
# 
#-static uint64_t __attribute__((aligned(8))) dither8[2]={
#+static uint64_t __attribute__((aligned(8),used)) dither8[2]={
# 	0x0602060206020602LL,
# 	0x0004000400040004LL,};
# 
#-static uint64_t __attribute__((aligned(8))) b16Mask=   0x001F001F001F001FLL;
#-static uint64_t attribute_used __attribute__((aligned(8))) g16Mask=   0x07E007E007E007E0LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) r16Mask=   0xF800F800F800F800LL;
#-static uint64_t __attribute__((aligned(8))) b15Mask=   0x001F001F001F001FLL;
#-static uint64_t attribute_used __attribute__((aligned(8))) g15Mask=   0x03E003E003E003E0LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) r15Mask=   0x7C007C007C007C00LL;
#-
#-static uint64_t attribute_used __attribute__((aligned(8))) M24A=   0x00FF0000FF0000FFLL;
#-static uint64_t attribute_used __attribute__((aligned(8))) M24B=   0xFF0000FF0000FF00LL;
#-static uint64_t attribute_used __attribute__((aligned(8))) M24C=   0x0000FF0000FF0000LL;
#+static uint64_t __attribute__((aligned(8),used)) b16Mask=   0x001F001F001F001FLL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) g16Mask=   0x07E007E007E007E0LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) r16Mask=   0xF800F800F800F800LL;
#+static uint64_t __attribute__((aligned(8),used)) b15Mask=   0x001F001F001F001FLL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) g15Mask=   0x03E003E003E003E0LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) r15Mask=   0x7C007C007C007C00LL;
#+
#+static uint64_t attribute_used __attribute__((aligned(8),used)) M24A=   0x00FF0000FF0000FFLL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) M24B=   0xFF0000FF0000FF00LL;
#+static uint64_t attribute_used __attribute__((aligned(8),used)) M24C=   0x0000FF0000FF0000LL;
# 
# #ifdef FAST_BGR2YV12
#-static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8))) = 0x000000210041000DULL;
#-static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8))) = 0x0000FFEEFFDC0038ULL;
#-static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8))) = 0x00000038FFD2FFF8ULL;
#+static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8),used)) = 0x000000210041000DULL;
#+static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8),used)) = 0x0000FFEEFFDC0038ULL;
#+static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8),used)) = 0x00000038FFD2FFF8ULL;
# #else
#-static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8))) = 0x000020E540830C8BULL;
#-static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8))) = 0x0000ED0FDAC23831ULL;
#-static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8))) = 0x00003831D0E6F6EAULL;
#-#endif
#-static const uint64_t bgr2YOffset attribute_used __attribute__((aligned(8))) = 0x1010101010101010ULL;
#-static const uint64_t bgr2UVOffset attribute_used __attribute__((aligned(8)))= 0x8080808080808080ULL;
#-static const uint64_t w1111       attribute_used __attribute__((aligned(8))) = 0x0001000100010001ULL;
#+static const uint64_t bgr2YCoeff  attribute_used __attribute__((aligned(8),used)) = 0x000020E540830C8BULL;
#+static const uint64_t bgr2UCoeff  attribute_used __attribute__((aligned(8),used)) = 0x0000ED0FDAC23831ULL;
#+static const uint64_t bgr2VCoeff  attribute_used __attribute__((aligned(8),used)) = 0x00003831D0E6F6EAULL;
#+#endif
#+static const uint64_t bgr2YOffset attribute_used __attribute__((aligned(8),used)) = 0x1010101010101010ULL;
#+static const uint64_t bgr2UVOffset attribute_used __attribute__((aligned(8),used))= 0x8080808080808080ULL;
#+static const uint64_t w1111       attribute_used __attribute__((aligned(8),used)) = 0x0001000100010001ULL;
# #endif
# 
# // clipping helper table for C implementations:
